Skip to content

List and search clients

Request to list clients:

GET /api/v2/clients.json

Example of response:

{
    "clients": [{
        "client_id": "b74e35b0-b6e3-11e8-b938-e03f497dbdff",
        "tenant_id": "156340bf-8b47-21e4-95a4-e03f497dbd44",
        "name": "Parker Group",
        "contacts": [
            {"phone_number": "+14085800150", "name": "Main number"},
            {"phone_number": "+14085800105", "name": "Fax"}
        ]
    },{
        "client_id": "ccb5957a-b6e5-11e8-b66b-e03f497dbdff",
        "tenant_id": "156340bf-8b47-21e4-95a4-e03f497dbd44",
        "name": "Contoso",
        "contacts": [
            {"phone_number": "1234567890", "name": null}
        ]
    }],
    "total": 2,
    "next_url": null
}

See Collections for paging.

Search clients

Parameter Description
search_term

Search by client name, contact name, contact phone number, and tenant name (in multi-tenant deployments). Partial match, case insensitive.

GET /api/v2/clients.json?search_term=Contoso
tenant_id

Filter by tenant ID.

GET /api/v2/clients.json?tenant_id=2bfcefd4-f41d-11e4-983d-e03f497dbdff

Example with several parameters:

GET /api/v2/clients.json?tenant_id=2bfcefd4-f41d-11e4-983d-e03f497dbdff&search_term=Contoso

Response contains HTTP status code as shown in the following table.

Response Description
200 OK The list of clients is returned in the response body
403 Forbidden The request cannot be completed because API user has no permission to view clients
404 Not Found The tenant_id parameter is not a valid UUID